<!DOCTYPE html>
<html lang="en">
<!--  
    Easter Bunny Tracker (track.easterbunny.cc) v4.5.4
    Copyright (C) 2020  track.easterbunny.cc 

    track.easterbunny.cc is free software: you can redistribute it and/or modify
    it under the terms of the GNU Affero General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    track.easterbunny.cc is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Affero General Public License for more details.

    You should have received a copy of the GNU Affero General Public License
    along with track.easterbunny.cc.  If not, see <https://www.gnu.org/licenses/>. 
-->

<!--
    Source code is available at https://gitlab.com/track-easterbunny-cc/tebcc
    License is available at https://track.easterbunny.cc/license
-->

<!-- Canonical link - Should be set to track.easterbunny.cc for the countdown/pre-tracking/index, otherwise just the url -->
<head>
<link rel="canonical" href="https://track.easterbunny.cc/privacy/" />
<meta charset=utf-8>
<meta name="description" content="Privacy Policy for the Easter Bunny Tracker available at track.easterbunny.cc.">
<meta name="robots" content="index,follow">
<meta property="og:type" content="website">
<meta property="og:title" content="Easter Bunny Tracker - Privacy Policy">
<meta property="og:locale" content="en-US">
<meta property="og:site_name" content="track.easterbunny.cc">
<meta property="og:url" content="https://track.easterbunny.cc/privacy/">
<meta property="og:description" content="Privacy Policy for the Easter Bunny Tracker available at track.easterbunny.cc.">
<meta property="og:image" content="https://track.easterbunny.cc/assets/icons/android-icon-384x384.png">
<meta property="og:image:secure_url" content="https://track.easterbunny.cc/assets/icons/android-icon-384x384.png">
<meta property="og:image:alt" content="Icon of an Easter Bunny standing up straight">
<meta property="og:image:width" content="384">
<meta property="og:image:height" content="384">
<meta name="twitter:image" content="https://track.easterbunny.cc/assets/icons/android-icon-384x384.png">
<meta name="twitter:image:alt" content="Icon of an Easter Bunny standing up straight">
<meta name="twitter:creator" content="@bunny_tracking">
<meta name="twitter:title" content="Easter Bunny Tracker - Privacy Policy">
<meta name="twitter:description" content="Privacy Policy for the Easter Bunny Tracker available at track.easterbunny.cc.">
<meta name="twitter:card" content="summary">
<meta name="twitter:url" content="https://track.easterbunny.cc/privacy/">

<link rel="apple-touch-icon" sizes="57x57" href="/assets/icons/apple-touch-icon-57x57.png">
<link rel="apple-touch-icon" sizes="60x60" href="/assets/icons/apple-touch-icon-60x60.png">
<link rel="apple-touch-icon" sizes="72x72" href="/assets/icons/apple-touch-icon-72x72.png">
<link rel="apple-touch-icon" sizes="76x76" href="/assets/icons/apple-touch-icon-76x76.png">
<link rel="apple-touch-icon" sizes="114x114" href="/assets/icons/apple-touch-icon-114x114.png">
<link rel="apple-touch-icon" sizes="120x120" href="/assets/icons/apple-touch-icon-120x120.png">
<link rel="apple-touch-icon" sizes="144x144" href="/assets/icons/apple-touch-icon-144x144.png">
<link rel="apple-touch-icon" sizes="152x152" href="/assets/icons/apple-touch-icon-152x152.png">
<link rel="apple-touch-icon" sizes="180x180" href="/assets/icons/apple-touch-icon-180x180.png">
<link rel="icon" type="image/png" sizes="192x192"  href="/assets/icons/android-icon-192x192.png">
<link rel="icon" type="image/png" sizes="32x32" href="/assets/icons/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="/assets/icons/favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="/assets/icons/favicon-16x16.png">
<link rel="manifest" href="/assets/manifests/manifest.json">
<link rel="shortcut icon" href="/assets/icons/favicon.ico">
<meta name="msapplication-TileColor" content="#2b5797">
<meta name="msapplication-TileImage" content="/assets/icons/mstile-144x144.png">
<meta name="msapplication-config" content="/assets/manifests/browserconfig.xml">
<meta name="theme-color" content="#ffffff">
<link rel="stylesheet" href="https://unpkg.com/bootstrap-material-design@4.1.1/dist/css/bootstrap-material-design.min.css" integrity="sha384-wXznGJNEXNG1NFsbm0ugrLFMQPWswR3lds2VeinahP8N0zJw9VWSopbjv2x7WCvX" crossorigin="anonymous">
<link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons" crossorigin="anonymous">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700" crossorigin="anonymous">
<link rel="stylesheet" href="/assets/stylesheets/light.css" crossorigin="anonymous">
<link rel="stylesheet" href="/assets/stylesheets/dark.css" crossorigin="anonymous" disabled>
<link rel="stylesheet" href="/assets/stylesheets/plead.css" crossorigin="anonymous">
<link rel="stylesheet" href="/assets/stylesheets/linkwrapper.css" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.4.1.min.js" integrity="sha384-vk5WoKIaW/vJyUAd9n/wmopsmNhiy+L2Z+SBxGYnUkunIxVxAv/UtMOhba/xskxh" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://unpkg.com/bootstrap-material-design@4.1.1/dist/js/bootstrap-material-design.js" integrity="sha384-CauSuKpEqAFajSpkdjv3z9t8E7RlpJ1UP0lKM/+NdtSarroVKu069AlsRPKkFBz9" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bowser/1.9.4/bowser.min.js" integrity="sha384-2wrSrTEHqvdtiVAZygJZuYUeKryvoEf1n4xaniOxF7VWWtiZOMGiVx6hTop4W7Nz" crossorigin="anonymous"></script>
<script src="/assets/js/appswitch.js"></script>
<script>$(document).ready(function() { $('body').bootstrapMaterialDesign(); });</script>
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0"/>

<title>Easter Bunny Tracker 2021 - Privacy Policy</title>
</head>

<style>
  body {
    font-family: 'Roboto'
  }

  .top-card {
    touch-action: manipulation;
  }

  .material-icons {
    font-feature-settings: "liga"
  }
</style>

<script>
  var ls_avail = true;
  var appearance = "automatic";
  var mapmode = "street";
  var bunnybounce = "off";
  var weathersummary = "off";
  var ebarrival = "on";
  var pcs_raw_avail = false;
  var old_browser = false;
  try {
    var pcs_raw = window.matchMedia('(prefers-color-scheme: dark)')
    pcs_raw_avail = true;
  } catch (e) {
    // empty
  }
  
  
  try {
    localStorage.setItem("ls-test", "ls-test")
    localStorage.removeItem("ls-test")
  } catch (e) {
    ls_avail = false;
  }
  
  // Ensure that local settings are init'd, otherwise select proper buttons for settings.
  // Also don't do the initting if the ls is unavail
  if (ls_avail == true) {
    try {
      if (localStorage.getItem("appearance") == null) {
        localStorage.setItem("appearance", "automatic")
      }
    
      if (localStorage.getItem("mapmode") == null) {
        localStorage.setItem("mapmode", "street")
      }
    
      if (localStorage.getItem("bunnybounce") == null) {
        localStorage.setItem("bunnybounce", "off")
      }
    
      if (localStorage.getItem("weathersummary") == null) {
        localStorage.setItem("weathersummary", "off")
      }
    
      if (localStorage.getItem("ebarrival") == null) {
        localStorage.setItem("ebarrival", "on")
      }
    
      // Load in LS settings, only changing them if they regex match to pre-selected options
      if ((localStorage.getItem("appearance")).match("^automatic$|^light$|^dark$")) {
        appearance = localStorage.getItem("appearance")
      }

      if ((localStorage.getItem("mapmode")).match("^street$|^satellite$|^hybrid$")) {
        mapmode = localStorage.getItem("mapmode")
      }

      if ((localStorage.getItem("bunnybounce")).match("^off$|^on$")) {
        bunnybounce = localStorage.getItem("bunnybounce")
      }

      if ((localStorage.getItem("weathersummary")).match("^off$|^on$")) {
        weathersummary = localStorage.getItem("weathersummary")
      }

      if ((localStorage.getItem("ebarrival")).match("^off$|^on$")) {
        ebarrival = localStorage.getItem("ebarrival")
      }
    } catch (e) {
      // empty
    }
  }
  
  $(function () {
    try {
      if (appearance == "dark" || ((window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) && appearance == "automatic")) {
        $('link[rel="stylesheet"][href="/assets/stylesheets/light.css"]').prop('disabled', true);
        $('link[rel="stylesheet"][href="/assets/stylesheets/dark.css"]').prop('disabled', false);
      } else if (appearance == "light" || (!(window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) && appearance == "automatic")) {
        // empty
      }
    } catch (e) {
      // empty
    }

    $("#switcherbutton").show()
    // eslint-disable-next-line no-undef
    initButton(appearance);
    // eslint-disable-next-line no-undef
    initLink()

    $(".btn").focus(function() {
      this.blur();
    })

    $(".btn").focusin(function() {
      this.blur();
    })

    $(".btn").focusout(function() {
      this.blur();
    })
  })
  
  if (pcs_raw_avail) {
    pcs_raw.addListener(function() {
      if (((window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) && appearance == "automatic")) {
        $('link[rel="stylesheet"][href="/assets/stylesheets/light.css"]').prop('disabled', true);
        $('link[rel="stylesheet"][href="/assets/stylesheets/dark.css"]').prop('disabled', false);
      } else if ((!(window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) && appearance == "automatic")) {
        $('link[rel="stylesheet"][href="/assets/stylesheets/light.css"]').prop('disabled', false);
        $('link[rel="stylesheet"][href="/assets/stylesheets/dark.css"]').prop('disabled', true);
      }
    })
  }

// eslint-disable-next-line no-undef
document.addEventListener("visibilitychange", vischange_button)
// eslint-disable-next-line no-undef
document.addEventListener("focus", vischange_button)
window.onpageshow = function(event) {
  if (event.persisted) {
    // eslint-disable-next-line no-undef
    vischange_button()
  }
}
</script>

<body class="top-card" id="mainbody">
  <div class="preload" style="opacity: 0; width: 0px; height: 0px;">
    <i class="material-icons">brightness_auto</i>
    <i class="material-icons">brightness_4</i>
    <i class="material-icons">brightness_5</i>
  </div>
<div class="container">
  <div class="row">
    <div class="col" style="padding: 2em">
      <button type="button" id="switcherbutton" class="btn top-card" onclick="styleSwitch()" style="float: right; display: none"><i id="appearance_button" class="material-icons" style="line-height: unset"></i></button>
      <p class="lead">Easter Bunny Tracker - Privacy Policy</p>
      <p>Last updated: April 7, 2020 - Version 2.3</p>
      <hr class="styledhr">
      <p>
        Hi! Thanks for checking out the privacy policy for track.easterbunny.cc. We take privacy seriously, and as such, we've designed our tracker to minimize the amount of data we collect from you. However, for necessary operations, we do have to collect some non-identifying information from you. <br><br>
        Please read this privacy policy carefully to determine if you would like to continue to visit our tracker. We've tried to make the privacy policy has transparent as possible, so you're fully aware of how your privacy is handled on track.easterbunny.cc.<br><br>
        In this document, We (“we”) refers to the team running track.easterbunny.cc. You/your (“you, “your”) refers to you, yourself, your data, etc.
        <hr class="styledhr">
        <h3>Data we collect</h3>
        Easterbunny.cc, and any domains connected with it (such as track.easterbunny.cc) do not collect any personally identifying information from users. We do not have a system on our websites that allow users to store personally identifying information.
        <br><br>
        When you visit the tracker, your visit may potentially be logged by our own web logging system. We use Cloudflare on the website, so about ~5-10% of hits will end up hitting our web logging system. This logging system collects the following data:<br><br>
        <ul>
          <li>IP address information of the Cloudflare server that routed the request</li>
          <li>The time of the request</li>
          <li>Information of the browser being used to make the request</li>
          <li>Information of the device being used to make the request, which can include the OS the device runs on, and the model number of the device or type of device.</li>
        </ul>
        The internal web log automatically gets deleted after about 15 days, and is only visible to website administrators. We may monitor this internal web log to ensure optimal site performance, and that Cloudflare caching is working as expected.
        <br><br>
        We include a service in the tracker to allow an estimated time of arrival for the Easter Bunny to enhance the experience. The service uses a Geo API that we developed in-house that uses the MaxMind GeoLite2 City database.
        <br><br>
        You can, optionally, opt out of the MaxMind GeoLite2 City database, by visiting this page: <a class="linkwrap" href="https://support.maxmind.com/privacy-center/ccpa-do-not-sell/ccpa-do-not-sell-opt-out/" target="_blank" rel="noopener">https://support.maxmind.com/privacy-center/ccpa-do-not-sell/ccpa-do-not-sell-opt-out/</a>. This will opt your IP out of the database. When you opt out of the database, in the next revision of the database, details about your IP won't be included.
        <br><br>
        MaxMind updates the IP database every Tuesday. You can no longer opt your IP out of returning an estimated time of arrival for the 2020 run of track.easterbunny.cc, as this window closed on April 6, 2020. You can no longer opt your IP into returning an estimated time of arrival for the 2020 run of track.easterbunny.cc, as this window also closed on April 6, 2020. 
        <br><br>
        If you do not want your IP returning an estimated time of arrival for the 2021 run of track.easterbunny.cc, please submit your request by March 29, 2020 to the MaxMind URL listed above. If you decide that you want your IP to return an estimated time of arrival for the 2021 run of track.easterbunny.cc, please submit your request by March 29, 2020 to the MaxMind URL listed above. Requests made on March 30, 2021 and later will not be applicable to the 2021 run of track.easterbunny.cc.
        <br><br>
        The Geo API is requested every time track.easterbunny.cc is visited between April 11, 2020 6:00:00 AM GMT and April 12, 2020 9:59:59 AM GMT. 
        <br><br>
        There is no system in the tracker to disable this functionality. If you don't want the Geo API to be queried, please add geoapi.easterbunny.cc to an adblocker or block list, such as uBlock Origin or Pi-hole. Blocking the Geo API does not impede the functionality of the tracker.
        <br><br>
        The Geo API does not log the responses it makes. We cannot easily connect your request to a location. However, the Geo API runs on our servers, so it's subject to the web logging system noted before. 100% of the Geo API requests hit our servers, so every request is logged.
        <br><br>
        track.easterbunny.cc uses Cloudflare services to protect the website and ensure optimal performance. As such, Cloudflare is able to collect much of the information listed above, as all requests made to easterbunny.cc (and any associated domains) will go through Cloudflare. Cloudflare provides this information to our web administrators, so that we can optimize our site for performance:<br><br>
        <ul>
          <li>Request cache information, including how many requests were uncached & cached, along with uncached & cached bandwidth information.</li>
          <li>Unique visitor count, in which a unique visitor is categorized as a single device visiting the website.</li>
          <li>Country that a request to the website originated from. We cannot see more detailed location data (such as what state/province the request came from), and to our knowledge Cloudflare does not process more detailed location data to our knowledge.</li>
          <li>Threat information, which includes how many visitors were considered threats to the website. A threat is a visitor who has to go through additional Cloudflare verification to visit our site. Additionally, Cloudflare logs & displays the country of the originating request, and the type of threat that occurred.</li>
          <li>Crawler information, which includes the names of crawlers/bots that have visited the site, along with the amount of pages crawled. If you change your user agent to that of a crawler/bot, you will likely show up on this list.</li>
          <li>Traffic over SSL information, which includes the amount and percent of requests served over SSL, and the TLS version that was used to make the request.</li>
          <li>Request type information, which includes the amount and percent of requests for different file types across easterbunny.cc.</li>
          <li>DNS query information, which includes the amount and type of DNS queries for easterbunny.cc from Cloudflare's nameservers. We can only see the last 6 hours of DNS queries, but Cloudflare is likely storing DNS query information for longer than 6 hours.</li>
        </ul>
        Track.easterbunny.cc makes use of your browser's local storage to store user preferences for the tracker. When you visit track.easterbunny.cc, JavaScript code on each page will initialize the local storage for the website to the default settings, if the code detects that there are no settings initialized. The local storage takes up under 5 KB of storage on your machine, and is only used for tracker preferences. If you'd like to, you can turn off local storage in your browser. The tracker will work without local storage, but you'll see a persistent warning in the settings modal, and settings will not persist through a refresh of the page.
        <br><br>
        Track.easterbunny.cc is committed to keeping our website 100% tracker and ad free. We do not have any ads, social media popups, and analytics tools on our website. However, some tools such as Privacy Badger will likely pick up that Cloudflare's CDNJS, GStatic Fonts, and JQuery CDN are potential trackers. Additionally, extensions such as uBlock Origin will block a Google Maps API statistics plugin. These are all side-effects of the services that we use. We do not intentionally put any trackers in our website.
        <br><br>
        Track.easterbunny.cc makes use of browser cookies as part of Cloudflare's protection for the website. These cookies are used to identify if you are a real user, or a potential threat to the website. You can use track.easterbunny.cc without cookies, however, you may be presented with security challenges when you visit the website.
        <br><br>
        Track.easterbunny.cc makes use of the Google Maps API, which includes some statistics that can be used to help debug the website in certain scenarios. On our end, we can see the rate of requests to the Google Maps API, and the percentiles of how long the API takes to load in.
        <br><br>
        We do not, and will not collect any personally identifying information.
        <br><br>
        We do not, and will not sell any data to third-party companies.
        <br><br>
        Unless required by law, we do not, and will not share any data we collect to any third-parties. If we are required by law to send data from the tracker, the data shared will be in the form of non-personally identifying information, because we've designed our tracker to not collect any personally identifying information.
        <br><br>
        The main server for track.easterbunny.cc is hosted in Canada. This is where we store data from the web log system. Otherwise, Cloudflare stores data likely in the United States from what they collect, however, we're not 100% certain about this.
        <hr class="styledhr">
        <h3>What data other services we use collect</h3>
        Track.easterbunny.cc uses third-party services provided by other businesses/organizations. These services are essential to the website operations. A full list of the privacy policies for the third-party services that we use are available below.<br><br>
        <ul>
          <li>Google Fonts API: <a class="linkwrap" href="https://policies.google.com/privacy" target="_blank" rel="noopener">https://policies.google.com/privacy</a></li>
          <li>Google Maps API: <a class="linkwrap" href="https://policies.google.com/privacy" target="_blank" rel="noopener">https://policies.google.com/privacy</a></li>
          <li>CDNJS: <a class="linkwrap" href="https://cdnjs.com" target="_blank" rel="noopener">https://cdnjs.com</a></li>
          <li>jQuery Code CDN (run by Stackpath): <a class="linkwrap" href="https://www.stackpath.com/legal/privacy-statement/" target="_blank" rel="noopener">https://www.stackpath.com/legal/privacy-statement/</a></li>
          <li>Unpkg CDN: <a class="linkwrap" href="https://unpkg.com/" target="_blank" rel="noopener">https://unpkg.com</a></li>
          <li>Cloudflare: <a class="linkwrap" href="https://www.cloudflare.com/privacypolicy/" target="_blank" rel="noopener">https://www.cloudflare.com/privacypolicy/</a></li>
        </ul>
      </p>
        <hr class="styledhr">
        <h3>Questions?</h3>
        If you have any questions about how your data is being processed on track.easterbunny.cc, you can contact us on Twitter (@bunny_tracking). If you prefer to use email, you can also email us: supoort (at) easterbunny (dot) cc
      </p>
      <hr class="styledhr">
      <a href="https://twitter.com/bunny_tracking" target="_blank" rel="noopener">Follow us on Twitter (@bunny_tracking)</a>
      <hr class="styledhr">
      <a href="https://twitter.com/bunny_updates" target="_blank" rel="noopener">Follow the Easter Bunny's journey on Twitter (@bunny_updates)</a>
      <hr class="styledhr">
      <a style="padding-bottom: 40px" id="bottom-href" href="/">Return to the tracker</a>
    </div>
  </div>
</div>
</body>
</html>